package creadatos;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class CreaDatos {

	public static void main(String [] args) throws IOException{
		DataInputStream fi = new DataInputStream(new FileInputStream("sna2wav/SNA.OBJ"));
		DataOutputStream fo = new DataOutputStream(new FileOutputStream("sna2wav/Datos.java"));
		fo.writeBytes("package sna2wav;\npublic class Z80Code {\nstatic String snaCode = \"");
		convierteFichero(fi,fo);
		fi = new DataInputStream(new FileInputStream("sna2wav/ULTRAZ80.OBJ"));
		fo.writeBytes("\";\nstatic String ultraCode = \"");
		convierteFichero(fi,fo);
		fo.writeBytes("\";\n}\n");
	}
	
	public static void convierteFichero(DataInputStream fi,DataOutputStream fo) throws IOException{
		int n=fi.available();
		for (int i=0;i<n;i++){
			if (i%16==0&&i>0)
				fo.writeBytes("\"+\n\"");
			fo.writeByte('\\');	
			fo.writeBytes(String.format("%1$03o",fi.readUnsignedByte()));
		}
		fi.close();
	}
}
