/* Original code and idea (C) Antonio Jos Villena Godoy, updates and modifications (C) Carlos Snchez */

/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/



/* Main program class */

import java.io.File;


public class S2W {

	
	
	// Contains command-line parsing
	static commandLine clOrder = null;


	public static void main(String[] args) {

		// Parse input
		clOrder = new commandLine(args);

		System.out.println("SNA2WAV 0.1 (C)2006 Antonio Jos Villena Godoy");

		// if help requested (or forced by syntax error) or filename missing
		if ((clOrder.isSyntax) || (clOrder.fileName.equals("")))
			clOrder.showSyntax();

		File myFile = new File(clOrder.fileName);

		converter MyConverter = new converter();
		
		MyConverter.convert(clOrder, myFile);
	}

}